Create Bank Instruction Transaction

Creates a PIX transaction using bank account information as the destination.

Bank Identification Requirements:

  • Either ispbCode or bankCode must be provided in the destination object
  • If bankCode is provided and the bank is not found in our database, a BRAZILIAN_BANK_NOT_FOUND error will be returned
Body Params
uuid

The bank account from which the PIX transaction will originate. Mutually exclusive with virtualAccountId - exactly one must be provided.

string

The virtual account from which the PIX transaction will originate. Mutually exclusive with bankAccountId - exactly one must be provided.

amount
object
required

Monetary value

destination
object
required

Destination Account Details

string
required

An idempotent identifier provided by the client to ensure that a request is processed only once. If a request with an existing IdempotentId is received, the processing is terminated and an error is returned to indicate that the request cannot be processed again.

validations
array of objects
validations
string | null

Optional message that can be sent to the recipient along with a PIX transaction. The message can be up to 140 characters long and must not contain the | (pipe) character.

Headers
string

Access Token

Responses

Language
Credentials
OAuth2
URL
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json